#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common -I../../lib/server  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/httpserver
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/httpserver
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/httpserver.a: $(OUTDIR)/HTTPQueryDecoder.o $(OUTDIR)/HTTPRequest.o $(OUTDIR)/HTTPResponse.o $(OUTDIR)/HTTPServer.o $(OUTDIR)/S3Client.o $(OUTDIR)/S3Simulator.o $(OUTDIR)/autogen_HTTPException.o $(OUTDIR)/cdecode.o $(OUTDIR)/cencode.o
	$(HIDE) (echo -n > $(OUTDIR)/httpserver.a; rm $(OUTDIR)/httpserver.a)
	$(_AR) cq $(OUTDIR)/httpserver.a $(OUTDIR)/HTTPQueryDecoder.o $(OUTDIR)/HTTPRequest.o $(OUTDIR)/HTTPResponse.o $(OUTDIR)/HTTPServer.o $(OUTDIR)/S3Client.o $(OUTDIR)/S3Simulator.o $(OUTDIR)/autogen_HTTPException.o $(OUTDIR)/cdecode.o $(OUTDIR)/cencode.o
	$(_RANLIB) $(OUTDIR)/httpserver.a

$(OUTDIR)/cdecode.o: cdecode.cpp cdecode.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c cdecode.cpp -o $(OUTDIR)/cdecode.o

$(OUTDIR)/HTTPRequest.o: HTTPRequest.cpp HTTPQueryDecoder.h ../../lib/common/BoxException.h ../../lib/common/Guards.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFinder.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h HTTPResponse.h ../../lib/win32/getopt.h ../../lib/common/IOStreamGetLine.h ../../lib/common/FileStream.h HTTPRequest.h ../../lib/common/CollectInBufferStream.h ../../lib/common/Logging.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/CommonException.h ../../lib/win32/emu.h autogen_HTTPException.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c HTTPRequest.cpp -o $(OUTDIR)/HTTPRequest.o

$(OUTDIR)/cencode.o: cencode.cpp cencode.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c cencode.cpp -o $(OUTDIR)/cencode.o

$(OUTDIR)/HTTPQueryDecoder.o: HTTPQueryDecoder.cpp HTTPQueryDecoder.h ../../lib/common/Guards.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/CollectInBufferStream.h ../../lib/common/FileStream.h HTTPRequest.h ../../lib/win32/getopt.h ../../lib/common/Box.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Logging.h ../../lib/win32/emu.h ../../lib/common/CommonException.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c HTTPQueryDecoder.cpp -o $(OUTDIR)/HTTPQueryDecoder.o

$(OUTDIR)/S3Simulator.o: S3Simulator.cpp ../../lib/server/ServerStream.h cencode.h ../../lib/common/WaitForEvent.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/server/Daemon.h ../../lib/common/BoxConfig.h cdecode.h ../../lib/common/MemLeakFindOn.h decode.h S3Simulator.h ../../lib/common/BoxTime.h ../../lib/server/SocketStream.h ../../lib/server/Socket.h ../../lib/server/SocketListen.h ../../lib/common/Guards.h ../../lib/common/Configuration.h ../../lib/common/BoxException.h ../../lib/server/ServerException.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/Logging.h ../../lib/win32/emu.h autogen_HTTPException.h ../../lib/common/CommonException.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h encode.h ../../lib/common/CollectInBufferStream.h HTTPResponse.h ../../lib/win32/getopt.h HTTPRequest.h HTTPServer.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c S3Simulator.cpp -o $(OUTDIR)/S3Simulator.o

$(OUTDIR)/HTTPResponse.o: HTTPResponse.cpp ../../lib/common/Utils.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxException.h ../../lib/common/Guards.h ../../lib/common/CommonException.h autogen_HTTPException.h ../../lib/win32/emu.h ../../lib/common/Logging.h ../../lib/common/Box.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/IOStreamGetLine.h ../../lib/common/FileStream.h HTTPResponse.h ../../lib/win32/getopt.h ../../lib/common/CollectInBufferStream.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c HTTPResponse.cpp -o $(OUTDIR)/HTTPResponse.o

$(OUTDIR)/S3Client.o: S3Client.cpp decode.h ../../lib/common/BoxTime.h ../../lib/server/SocketStream.h ../../lib/server/ServerStream.h cencode.h ../../lib/common/MemLeakFinder.h ../../lib/common/WaitForEvent.h ../../lib/common/Utils.h ../../lib/common/BoxConfig.h ../../lib/server/Daemon.h ../../lib/common/MemLeakFindOn.h cdecode.h ../../lib/server/SocketListen.h ../../lib/common/Guards.h ../../lib/common/Configuration.h ../../lib/common/BoxException.h ../../lib/server/ServerException.h ../../lib/server/Socket.h ../../lib/win32/emu.h autogen_HTTPException.h ../../lib/common/CommonException.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/Logging.h encode.h ../../lib/common/CollectInBufferStream.h HTTPResponse.h ../../lib/win32/getopt.h HTTPServer.h HTTPRequest.h ../../lib/common/FileStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h S3Client.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c S3Client.cpp -o $(OUTDIR)/S3Client.o

$(OUTDIR)/HTTPServer.o: HTTPServer.cpp ../../lib/common/Logging.h ../../lib/common/Box.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/CommonException.h ../../lib/win32/emu.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStreamGetLine.h HTTPServer.h HTTPRequest.h ../../lib/common/FileStream.h HTTPResponse.h ../../lib/win32/getopt.h ../../lib/common/CollectInBufferStream.h ../../lib/common/Utils.h ../../lib/server/Daemon.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/WaitForEvent.h ../../lib/common/MemLeakFinder.h ../../lib/server/ServerStream.h ../../lib/server/SocketStream.h ../../lib/common/BoxTime.h ../../lib/server/Socket.h ../../lib/server/ServerException.h ../../lib/common/Configuration.h ../../lib/common/Guards.h ../../lib/server/SocketListen.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c HTTPServer.cpp -o $(OUTDIR)/HTTPServer.o

$(OUTDIR)/autogen_HTTPException.o: autogen_HTTPException.cpp ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/Logging.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/CommonException.h ../../lib/win32/emu.h autogen_HTTPException.h ../../lib/common/BoxException.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFinder.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/httpserver\"" -c autogen_HTTPException.cpp -o $(OUTDIR)/autogen_HTTPException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/server; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

